<div class="container">
  <div class="row">
    <hr/>
    <div class="create-post-container col-md-9">
      <form (ngSubmit)="createPost()" [formGroup]="createPostForm" class="post-form">
        <div class="form-group">
          <div class="create-post-heading">Create Post</div>
          <hr/>
          <input [formControlName]="'postName'" class="form-control" placeholder="Title" style="margin-top: 5px"
                 type="text">

          <input [formControlName]="'url'" class="form-control" placeholder="URL" style="margin-top: 5px" type="text">

          <select [formControlName]="'subredditName'" class="form-control" style="margin-top: 10px">
            <option disabled selected value="">Select Subreddit</option>
            <option *ngFor="let subreddit of subreddits">{{subreddit?.name}}</option>
          </select>

          <editor
            [formControlName]="'description'"
            [init]="{
                height: 500,
                menubar: false,
                plugins: [
                  'advlist autolink lists link image charmap print preview anchor',
                  'searchreplace visualblocks code fullscreen',
                  'insertdatetime media table paste code help wordcount'
                ],
                toolbar:
                  'undo redo | formatselect | bold italic backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat | help'
              }"
          ></editor>
          <span>
              <div class="float-right" style="margin-top: 5px">
                <button (click)="discardPost()" class="btnDiscard">Discard</button>
                <button class="btnCreatePost">Post</button>
              </div>
            </span>
        </div>
      </form>
    </div>
  </div>
</div>
